| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
EM::dgbSurfaceReader Class Reference
EarthModel

Surface Reader. More...

`#include <emsurfaceio.h>`

Inheritance diagram for EM::dgbSurfaceReader:
[legend]

## Public Member Functions
| dgbSurfaceReader (const char *fullexp, const char *name, const char *filetype)
| dgbSurfaceReader (const IOObj &ioobj, const char *filetype)
| ~dgbSurfaceReader ()
const char * | auxDataName (int) const
float | auxDataShift (int) const
const StepInterval< int > & | colInterval () const
const char * | dbInfo () const
int | getParsOffset () const
bool | isOK () const
Pos::GeomID | lineGeomID (int) const
BufferString | lineName (int) const
BufferString | lineSet (int) const
StepInterval< int > | lineTrcRanges (int idx) const
int | nrAuxVals () const
od_int64 | nrDone () const override
int | nrLines () const
mDeprecatedObs int | nrSections () const
const IOPar * | pars () const
const StepInterval< int > & | rowInterval () const
mDeprecatedObs EM::SectionID | sectionID (int) const
mDeprecatedObs BufferString | sectionName (int) const
void | selAuxData (const TypeSet< int > &)
mDeprecatedObs void | selSections (const TypeSet< EM::SectionID > &)
void | setColInterval (const StepInterval< int > &)
void | setGeometry ()
void | setLineNames (const BufferStringSet &)
void | setLinesTrcRngs (const TypeSet< StepInterval< int > > &)
void | setOutput (Array3D< float > &)
void | setOutput (EM::Surface &)
void | setReadOnlyZ (bool yn=true)
void | setRowInterval (const StepInterval< int > &)
Strat::LevelID | stratLevelID () const
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
int | version () const
const ZDomain::Info & | zDomain () const
const Interval< float > & | zInterval () const
Public Member Functions inherited from ExecutorGroup
| ExecutorGroup (const char *nm, bool parallel=false, bool ownsexecs=true)
virtual | ~ExecutorGroup ()
virtual void | add (Executor *)
Executor * | getExecutor (int idx)
od_int64 | nrDone () const override
int | nrExecutors ()
void | setNrDoneText (const uiString &txt)
| If set, will use this and the counted nrdone.
od_int64 | totalNr () const override
uiString | uiMessage () const override
uiString | uiNrDoneText () const override
Public Member Functions inherited from Executor
| Executor (const char *nm)
virtual | ~Executor ()
int | doStep () override
bool | execute () override
bool | go (od_ostream &s, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
bool | go (od_ostream *s=0, bool isfirst=true, bool islast=true, int delaybtwnstepsinms=0)
Public Member Functions inherited from SequentialTask
| SequentialTask (const char *nm=nullptr)
virtual | ~SequentialTask ()
bool | execute () override
Public Member Functions inherited from ReportingTask
| ReportingTask (const ReportingTask &)=delete
virtual | ~ReportingTask ()
void | getProgress (const ReportingTask &)
ReportingTask & | operator= (const ReportingTask &)=delete
void | setSimpleMeter (bool yn, int repperc)
int | simpleMeterStep () const
bool | useSimpleMeter () const
Public Member Functions inherited from Task
| Task (const Task &)=delete
virtual | ~Task ()
virtual void | controlWork (Control)
virtual void | enableWorkControl (bool=true)
| Must be called before execute()
virtual uiRetVal | errorWithDetails () const
virtual Control | getState () const
Task & | operator= (const Task &)=delete
bool | workControlEnabled () const
Public Member Functions inherited from NamedCallBacker
| NamedCallBacker (const char *nm=nullptr)
| NamedCallBacker (const NamedCallBacker &)=delete
| ~NamedCallBacker ()
virtual Notifier< NamedCallBacker > & | objectToBeDeleted () const
NamedCallBacker & | operator= (const NamedCallBacker &)=delete
bool | operator== (const NamedCallBacker &oth) const
bool | operator== (const NamedObject &oth) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()
Public Member Functions inherited from NamedObject
| NamedObject (const char *nm=nullptr)
| NamedObject (const NamedObject &oth)
virtual | ~NamedObject ()
virtual BufferString | getName () const
bool | getNameFromPar (const IOPar &)
const name_type & | name () const override
NamedObject & | operator= (const NamedObject &)
bool | operator== (const NamedObject &oth) const
virtual void | setName (const char *nm)
Public Member Functions inherited from ObjectWithName
virtual | ~ObjectWithName ()
bool | hasName (const char *nm) const
bool | hasName (const name_type &nm) const
void | putNameInPar (IOPar &) const

## Static Public Member Functions
static BufferString | sColStepKey (int rowidx)
static const char * | sKeyColRange ()
static const char * | sKeyDBInfo ()
static const char * | sKeyDepthOnly ()
static const char * | sKeyFloatDataChar ()
static const char * | sKeyInt16DataChar ()
static const char * | sKeyInt32DataChar ()
static const char * | sKeyInt64DataChar ()
static const char * | sKeyLineIDs ()
static const char * | sKeyLineSets ()
static const char * | sKeyNrSections ()
static const char * | sKeyNrSectionsV1 ()
static const char * | sKeyRowRange ()
static const char * | sKeyTraceRange ()
static const char * | sKeyUndefLine ()
static const char * | sKeyUndefLineSet ()
static const char * | sKeyVersion ()
static const char * | sKeyZRange ()
static const char * | sMsgParseError ()
static uiString | sMsgReadError ()
static BufferString | sSectionIDKey (int idx)
static BufferString | sSectionNameKey (int idx)
Static Public Member Functions inherited from SequentialTask
static int | ErrorOccurred ()
static int | Finished ()
static int | MoreToDo ()
static int | WarningAvailable ()
Static Public Member Functions inherited from ReportingTask
static PtrMan< ProgressMeter > | getTextProgressMeter (od_ostream &, const IOPar *iop=nullptr)
static bool | needSimpleLogging (const IOPar &)
static const char * | sKeySimpleLogging ()
static const char * | sKeySimpleLoggingStep ()
Static Public Member Functions inherited from Task
static uiString | uiStdNrDoneText ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
RowCol | convertRowCol (int, int) const
void | createArray ()
void | createAuxDataReader ()
int | currentRow () const
bool | doFinish (bool, od_ostream *=nullptr) override
bool | doPrepare (od_ostream *=nullptr) override
RowCol | getFileStep () const
bool | getIndices (const RowCol &, int &, int &) const
void | goToNextRow ()
void | init (const char *filetype, const char *name)
int | int64Size () const
bool | isBinary () const
void | mergeExternalPar (const char *)
int | nextStep () override
bool | parseVersion1 (const IOPar &)
int | prepareNewSection (od_istream &)
bool | prepareRowRead (od_istream &)
double | readDouble (od_istream &) const
bool | readHeaders (StreamConn &, const char *)
int | readInt16 (od_istream &) const
int | readInt32 (od_istream &) const
od_int64 | readInt64 (od_istream &) const
bool | readParData (od_istream &, const IOPar &, const char *)
bool | readRowOffsets (od_istream &)
bool | readVersion1Row (od_istream &, int, int)
bool | readVersion2Row (od_istream &, int, int)
bool | readVersion3Row (od_istream &, int, int, int, int noofcoltoskip=0)
int | scanFor2DGeom (TypeSet< StepInterval< int > > &)
bool | shouldSkipCurrentRow () const
int | skipRow (od_istream &)
Protected Member Functions inherited from ExecutorGroup
bool | doPrepare (od_ostream *=nullptr) override
void | findNextSumStop ()
virtual bool | goToNextExecutor ()
int | nextStep () override
Protected Member Functions inherited from Executor
virtual bool | goImpl (od_ostream *, bool, bool, int)
Protected Member Functions inherited from ReportingTask
| ReportingTask (const char *nm=nullptr)
void | incrementProgress ()
ProgressMeter * | progressMeter () const
void | reportProgressFinished ()
void | reportProgressStarted ()
void | resetProgress ()
void | setProgressMeter (ProgressMeter *) override
| Must be called before execute()
void | updateProgressMeter (bool forced=false, od_int64 *totalnr=0)
void | updateReportedName ()
Protected Member Functions inherited from Task
| Task (const char *nm=nullptr)
virtual bool | shouldContinue ()
Protected Member Functions inherited from NamedCallBacker
void | sendDelNotif () const

## Static Protected Member Functions
static const char * | sKeyTransformX ()
static const char * | sKeyTransformY ()

## Protected Attributes
Array2D< float > * | arr_ = nullptr
ObjectSet< EM::dgbSurfDataReader > | auxdataexecs_
BufferStringSet | auxdatanames_
TypeSet< int > | auxdatasel_
TypeSet< float > | auxdatashifts_
StepInterval< int > | colrange_
StreamConn * | conn_ = nullptr
double | conv11
double | conv12
double | conv13
double | conv21
double | conv22
double | conv23
Array3D< float > * | cube_ = nullptr
BufferString | dbinfo_
bool | error_ = false
BufferString | filename_
int | firstrow_ = 0
DataInterpreter< double > * | floatinterpreter_ = nullptr
bool | fullyread_ = true
TypeSet< Pos::GeomID > | geomids_
DataInterpreter< int > * | int16interpreter_ = nullptr
DataInterpreter< int > * | int32interpreter_ = nullptr
DataInterpreter< od_int64 > * | int64interpreter_ = nullptr
bool | isinited_ = false
BufferStringSet | linenames_
BufferStringSet | linesets_
const TypeSet< StepInterval< int > > * | linestrcrgs_ = nullptr
uiString | msg_
int | nrdone_ = 0
int | nrrows_ = 0
int | oldsectionindex_ = -1
const IOPar * | par_ = nullptr
int | parsoffset_ = -1
StepInterval< int > * | readcolrange_ = nullptr
const BufferStringSet * | readlinenames_ = nullptr
bool | readonlyz_ = true
StepInterval< int > * | readrowrange_ = nullptr
int | rowindex_ = 0
TypeSet< od_int64 > | rowoffsets_
StepInterval< int > | rowrange_
TypeSet< int > | sectionids_
int | sectionindex_ = 0
TypeSet< od_int64 > | sectionoffsets_
int | sectionsread_ = 0
bool | setsurfacepar_ = false
RefMan< EM::Surface > | surface_
int | version_ = 1
const ZDomain::Info * | zinfo_
Interval< float > | zrange_
Protected Attributes inherited from ExecutorGroup
int | currentexec_
TypeSet< int > | executorres_
ObjectSet< Executor > & | executors_
uiString | nrdonetext_
bool | ownsexecs_
const bool | parallel_
int | sumstart_
int | sumstop_
Protected Attributes inherited from Task
Control | control_ = Task::Run
Threads::ConditionVar * | workcontrolcondvar_ = nullptr
Protected Attributes inherited from NamedCallBacker
Threads::Atomic< bool > | delalreadytriggered_
Notifier< NamedCallBacker > | delnotif_
Protected Attributes inherited from NamedObject
BufferString | name_

## Static Protected Attributes
static const char * | linenamesstr_

## Additional Inherited Members
Public Types inherited from Task
enum | Control { Run , Pause , Stop }
Public Types inherited from ObjectWithName
typedef OD::String | name_type
Public Attributes inherited from Executor
Notifier< Executor > | poststep
| Only when MoreToDo will be returned.
Notifier< Executor > | prestep
Public Attributes inherited from ReportingTask
Notifier< ReportingTask > | progressUpdated

## Detailed Description

Surface Reader.

1. Construct (no changes are made to the surface in mem)
2. Select what you want to read

3. Do NextStep

   <>

## Constructor & Destructor Documentation

## ◆ dgbSurfaceReader() [1/2]

EM::dgbSurfaceReader::dgbSurfaceReader | ( | const IOObj & | ioobj,
|  | const char * | filetype )

## ◆ dgbSurfaceReader() [2/2]

EM::dgbSurfaceReader::dgbSurfaceReader | ( | const char * | fullexp,
|  | const char * | name,
|  | const char * | filetype )

## ◆ ~dgbSurfaceReader()

EM::dgbSurfaceReader::~dgbSurfaceReader | ( |  | ) |

## Member Function Documentation

## ◆ auxDataName()

const char * EM::dgbSurfaceReader::auxDataName | ( | int |  | ) | const

## ◆ auxDataShift()

float EM::dgbSurfaceReader::auxDataShift | ( | int |  | ) | const

## ◆ colInterval()

const StepInterval< int > & EM::dgbSurfaceReader::colInterval | ( |  | ) | const

## ◆ convertRowCol()

RowCol EM::dgbSurfaceReader::convertRowCol | ( | int | ,
|  | int | ) const
| protected

## ◆ createArray()

void EM::dgbSurfaceReader::createArray | ( |  | ) |
| protected

## ◆ createAuxDataReader()

void EM::dgbSurfaceReader::createAuxDataReader | ( |  | ) |
| protected

## ◆ currentRow()

int EM::dgbSurfaceReader::currentRow | ( |  | ) | const
| protected

## ◆ dbInfo()

const char * EM::dgbSurfaceReader::dbInfo | ( |  | ) | const

## ◆ doFinish()

bool EM::dgbSurfaceReader::doFinish | ( | bool | success,
|  | od_ostream * | = nullptr )
| override protected virtual

\will be called after the last nextStep() call

Reimplemented from SequentialTask.

## ◆ doPrepare()

bool EM::dgbSurfaceReader::doPrepare | ( | od_ostream * | = nullptr | ) |
| override protected virtual

\will be called before the 1st nextStep() call

Reimplemented from SequentialTask.

## ◆ getFileStep()

RowCol EM::dgbSurfaceReader::getFileStep | ( |  | ) | const
| protected

## ◆ getIndices()

bool EM::dgbSurfaceReader::getIndices | ( | const RowCol & | ,
|  | int & | ,
|  | int & | ) const
| protected

## ◆ getParsOffset()

int EM::dgbSurfaceReader::getParsOffset | ( |  | ) | const

## ◆ goToNextRow()

void EM::dgbSurfaceReader::goToNextRow | ( |  | ) |
| protected

## ◆ init()

void EM::dgbSurfaceReader::init | ( | const char * | filetype,
|  | const char * | name )
| protected

## ◆ int64Size()

int EM::dgbSurfaceReader::int64Size | ( |  | ) | const
| protected

## ◆ isBinary()

bool EM::dgbSurfaceReader::isBinary | ( |  | ) | const
| protected

## ◆ isOK()

bool EM::dgbSurfaceReader::isOK | ( |  | ) | const

## ◆ lineGeomID()

Pos::GeomID EM::dgbSurfaceReader::lineGeomID | ( | int |  | ) | const

## ◆ lineName()

BufferString EM::dgbSurfaceReader::lineName | ( | int |  | ) | const

## ◆ lineSet()

BufferString EM::dgbSurfaceReader::lineSet | ( | int |  | ) | const

## ◆ lineTrcRanges()

StepInterval< int > EM::dgbSurfaceReader::lineTrcRanges | ( | int | idx | ) | const

## ◆ mergeExternalPar()

void EM::dgbSurfaceReader::mergeExternalPar | ( | const char * |  | ) |
| protected

## ◆ nextStep()

int EM::dgbSurfaceReader::nextStep | ( |  | ) |
| override protected virtual

Return values

  MoreToDo() | Not finished. Call me again.
  Finished() | Nothing more to do.
  ErrorOccurred() | Something went wrong.

Note
  if function returns a value greater than cMoreToDo(), it should be interpreted as cMoreToDo().

Implements SequentialTask.

## ◆ nrAuxVals()

int EM::dgbSurfaceReader::nrAuxVals | ( |  | ) | const

## ◆ nrDone()

od_int64 EM::dgbSurfaceReader::nrDone | ( |  | ) | const
| override virtual

Note
  nrDone is only used for displaying progress and will be compared to totalNr to show user how large part of the task that is finished.

Reimplemented from Task.

## ◆ nrLines()

int EM::dgbSurfaceReader::nrLines | ( |  | ) | const

## ◆ nrSections()

mDeprecatedObs int EM::dgbSurfaceReader::nrSections | ( |  | ) | const

## ◆ pars()

const IOPar * EM::dgbSurfaceReader::pars | ( |  | ) | const

## ◆ parseVersion1()

bool EM::dgbSurfaceReader::parseVersion1 | ( | const IOPar & |  | ) |
| protected

## ◆ prepareNewSection()

int EM::dgbSurfaceReader::prepareNewSection | ( | od_istream & |  | ) |
| protected

## ◆ prepareRowRead()

bool EM::dgbSurfaceReader::prepareRowRead | ( | od_istream & |  | ) |
| protected

## ◆ readDouble()

double EM::dgbSurfaceReader::readDouble | ( | od_istream & |  | ) | const
| protected

## ◆ readHeaders()

bool EM::dgbSurfaceReader::readHeaders | ( | StreamConn & | ,
|  | const char * | )
| protected

## ◆ readInt16()

int EM::dgbSurfaceReader::readInt16 | ( | od_istream & |  | ) | const
| protected

## ◆ readInt32()

int EM::dgbSurfaceReader::readInt32 | ( | od_istream & |  | ) | const
| protected

## ◆ readInt64()

od_int64 EM::dgbSurfaceReader::readInt64 | ( | od_istream & |  | ) | const
| protected

## ◆ readParData()

bool EM::dgbSurfaceReader::readParData | ( | od_istream & | ,
|  | const IOPar & | ,
|  | const char * | )
| protected

## ◆ readRowOffsets()

bool EM::dgbSurfaceReader::readRowOffsets | ( | od_istream & |  | ) |
| protected

## ◆ readVersion1Row()

bool EM::dgbSurfaceReader::readVersion1Row | ( | od_istream & | ,
|  | int | ,
|  | int | )
| protected

## ◆ readVersion2Row()

bool EM::dgbSurfaceReader::readVersion2Row | ( | od_istream & | ,
|  | int | ,
|  | int | )
| protected

## ◆ readVersion3Row()

bool EM::dgbSurfaceReader::readVersion3Row | ( | od_istream & | ,
|  | int | ,
|  | int | ,
|  | int | ,
|  | int | noofcoltoskip = 0 )
| protected

## ◆ rowInterval()

const StepInterval< int > & EM::dgbSurfaceReader::rowInterval | ( |  | ) | const

## ◆ scanFor2DGeom()

int EM::dgbSurfaceReader::scanFor2DGeom | ( | TypeSet< StepInterval< int > > & |  | ) |
| protected

## ◆ sColStepKey()

static BufferString EM::dgbSurfaceReader::sColStepKey | ( | int | rowidx | ) |
| static

## ◆ sectionID()

mDeprecatedObs EM::SectionID EM::dgbSurfaceReader::sectionID | ( | int |  | ) | const

## ◆ sectionName()

mDeprecatedObs BufferString EM::dgbSurfaceReader::sectionName | ( | int |  | ) | const

## ◆ selAuxData()

void EM::dgbSurfaceReader::selAuxData | ( | const TypeSet< int > & |  | ) |

The specified data will be loaded. If this function is not called, all avaliable auxdata will be loaded.

## ◆ selSections()

mDeprecatedObs void EM::dgbSurfaceReader::selSections | ( | const TypeSet< EM::SectionID > & |  | ) |

The given sectionIDs will be loaded. If this function is not called, all avaliable sections will be loaded.

## ◆ setColInterval()

void EM::dgbSurfaceReader::setColInterval | ( | const StepInterval< int > & |  | ) |

## ◆ setGeometry()

void EM::dgbSurfaceReader::setGeometry | ( |  | ) |

## ◆ setLineNames()

void EM::dgbSurfaceReader::setLineNames | ( | const BufferStringSet & |  | ) |

## ◆ setLinesTrcRngs()

void EM::dgbSurfaceReader::setLinesTrcRngs | ( | const TypeSet< StepInterval< int > > & |  | ) |

## ◆ setOutput() [1/2]

void EM::dgbSurfaceReader::setOutput | ( | Array3D< float > & |  | ) |

Note
  only z-values will be put in array
  sizes of 1st and second dim must fit row/col selection.
  size in third dim must fit number of sections given by selSections.

## ◆ setOutput() [2/2]

void EM::dgbSurfaceReader::setOutput | ( | EM::Surface & |  | ) |

## ◆ setReadOnlyZ()

void EM::dgbSurfaceReader::setReadOnlyZ | ( | bool | yn = true | ) |

## ◆ setRowInterval()

void EM::dgbSurfaceReader::setRowInterval | ( | const StepInterval< int > & |  | ) |

## ◆ shouldSkipCurrentRow()

bool EM::dgbSurfaceReader::shouldSkipCurrentRow | ( |  | ) | const
| protected

## ◆ sKeyColRange()

static const char * EM::dgbSurfaceReader::sKeyColRange | ( |  | ) |
| static

## ◆ sKeyDBInfo()

static const char * EM::dgbSurfaceReader::sKeyDBInfo | ( |  | ) |
| static

## ◆ sKeyDepthOnly()

static const char * EM::dgbSurfaceReader::sKeyDepthOnly | ( |  | ) |
| static

## ◆ sKeyFloatDataChar()

static const char * EM::dgbSurfaceReader::sKeyFloatDataChar | ( |  | ) |
| static

## ◆ sKeyInt16DataChar()

static const char * EM::dgbSurfaceReader::sKeyInt16DataChar | ( |  | ) |
| static

## ◆ sKeyInt32DataChar()

static const char * EM::dgbSurfaceReader::sKeyInt32DataChar | ( |  | ) |
| static

## ◆ sKeyInt64DataChar()

static const char * EM::dgbSurfaceReader::sKeyInt64DataChar | ( |  | ) |
| static

## ◆ sKeyLineIDs()

static const char * EM::dgbSurfaceReader::sKeyLineIDs | ( |  | ) |
| static

## ◆ sKeyLineSets()

static const char * EM::dgbSurfaceReader::sKeyLineSets | ( |  | ) |
| static

## ◆ sKeyNrSections()

static const char * EM::dgbSurfaceReader::sKeyNrSections | ( |  | ) |
| static

## ◆ sKeyNrSectionsV1()

static const char * EM::dgbSurfaceReader::sKeyNrSectionsV1 | ( |  | ) |
| static

## ◆ sKeyRowRange()

static const char * EM::dgbSurfaceReader::sKeyRowRange | ( |  | ) |
| static

## ◆ sKeyTraceRange()

static const char * EM::dgbSurfaceReader::sKeyTraceRange | ( |  | ) |
| static

## ◆ sKeyTransformX()

static const char * EM::dgbSurfaceReader::sKeyTransformX | ( |  | ) |
| static protected

## ◆ sKeyTransformY()

static const char * EM::dgbSurfaceReader::sKeyTransformY | ( |  | ) |
| static protected

## ◆ sKeyUndefLine()

static const char * EM::dgbSurfaceReader::sKeyUndefLine | ( |  | ) |
| static

## ◆ sKeyUndefLineSet()

static const char * EM::dgbSurfaceReader::sKeyUndefLineSet | ( |  | ) |
| static

## ◆ sKeyVersion()

static const char * EM::dgbSurfaceReader::sKeyVersion | ( |  | ) |
| static

## ◆ sKeyZRange()

static const char * EM::dgbSurfaceReader::sKeyZRange | ( |  | ) |
| static

## ◆ skipRow()

int EM::dgbSurfaceReader::skipRow | ( | od_istream & |  | ) |
| protected

## ◆ sMsgParseError()

static const char * EM::dgbSurfaceReader::sMsgParseError | ( |  | ) |
| static

## ◆ sMsgReadError()

static uiString EM::dgbSurfaceReader::sMsgReadError | ( |  | ) |
| static

## ◆ sSectionIDKey()

static BufferString EM::dgbSurfaceReader::sSectionIDKey | ( | int | idx | ) |
| static

## ◆ sSectionNameKey()

static BufferString EM::dgbSurfaceReader::sSectionNameKey | ( | int | idx | ) |
| static

## ◆ stratLevelID()

Strat::LevelID EM::dgbSurfaceReader::stratLevelID | ( |  | ) | const

## ◆ totalNr()

od_int64 EM::dgbSurfaceReader::totalNr | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiMessage()

uiString EM::dgbSurfaceReader::uiMessage | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ uiNrDoneText()

uiString EM::dgbSurfaceReader::uiNrDoneText | ( |  | ) | const
| override virtual

Reimplemented from Task.

## ◆ version()

int EM::dgbSurfaceReader::version | ( |  | ) | const
| inline

## ◆ zDomain()

const ZDomain::Info & EM::dgbSurfaceReader::zDomain | ( |  | ) | const

## ◆ zInterval()

const Interval< float > & EM::dgbSurfaceReader::zInterval | ( |  | ) | const

## Member Data Documentation

## ◆ arr_

Array2D<float>* EM::dgbSurfaceReader::arr_ = nullptr
| protected

## ◆ auxdataexecs_

ObjectSet<EM::dgbSurfDataReader> EM::dgbSurfaceReader::auxdataexecs_
| protected

## ◆ auxdatanames_

BufferStringSet EM::dgbSurfaceReader::auxdatanames_
| protected

## ◆ auxdatasel_

TypeSet<int> EM::dgbSurfaceReader::auxdatasel_
| protected

## ◆ auxdatashifts_

TypeSet<float> EM::dgbSurfaceReader::auxdatashifts_
| protected

## ◆ colrange_

StepInterval<int> EM::dgbSurfaceReader::colrange_
| protected

## ◆ conn_

StreamConn* EM::dgbSurfaceReader::conn_ = nullptr
| protected

## ◆ conv11

double EM::dgbSurfaceReader::conv11
| protected

## ◆ conv12

double EM::dgbSurfaceReader::conv12
| protected

## ◆ conv13

double EM::dgbSurfaceReader::conv13
| protected

## ◆ conv21

double EM::dgbSurfaceReader::conv21
| protected

## ◆ conv22

double EM::dgbSurfaceReader::conv22
| protected

## ◆ conv23

double EM::dgbSurfaceReader::conv23
| protected

## ◆ cube_

Array3D<float>* EM::dgbSurfaceReader::cube_ = nullptr
| protected

## ◆ dbinfo_

BufferString EM::dgbSurfaceReader::dbinfo_
| protected

## ◆ error_

bool EM::dgbSurfaceReader::error_ = false
| protected

## ◆ filename_

BufferString EM::dgbSurfaceReader::filename_
| protected

## ◆ firstrow_

int EM::dgbSurfaceReader::firstrow_ = 0
| protected

## ◆ floatinterpreter_

DataInterpreter<double>* EM::dgbSurfaceReader::floatinterpreter_ = nullptr
| protected

## ◆ fullyread_

bool EM::dgbSurfaceReader::fullyread_ = true
| protected

## ◆ geomids_

TypeSet<Pos::GeomID> EM::dgbSurfaceReader::geomids_
| protected

## ◆ int16interpreter_

DataInterpreter<int>* EM::dgbSurfaceReader::int16interpreter_ = nullptr
| protected

## ◆ int32interpreter_

DataInterpreter<int>* EM::dgbSurfaceReader::int32interpreter_ = nullptr
| protected

## ◆ int64interpreter_

DataInterpreter<od_int64>* EM::dgbSurfaceReader::int64interpreter_ = nullptr
| protected

## ◆ isinited_

bool EM::dgbSurfaceReader::isinited_ = false
| protected

## ◆ linenames_

BufferStringSet EM::dgbSurfaceReader::linenames_
| protected

## ◆ linenamesstr_

const char* EM::dgbSurfaceReader::linenamesstr_
| static protected

## ◆ linesets_

BufferStringSet EM::dgbSurfaceReader::linesets_
| protected

## ◆ linestrcrgs_

const TypeSet< StepInterval<int> >* EM::dgbSurfaceReader::linestrcrgs_ = nullptr
| protected

## ◆ msg_

uiString EM::dgbSurfaceReader::msg_
| protected

## ◆ nrdone_

int EM::dgbSurfaceReader::nrdone_ = 0
| protected

## ◆ nrrows_

int EM::dgbSurfaceReader::nrrows_ = 0
| protected

## ◆ oldsectionindex_

int EM::dgbSurfaceReader::oldsectionindex_ = -1
| protected

## ◆ par_

const IOPar* EM::dgbSurfaceReader::par_ = nullptr
| protected

## ◆ parsoffset_

int EM::dgbSurfaceReader::parsoffset_ = -1
| protected

## ◆ readcolrange_

StepInterval<int>* EM::dgbSurfaceReader::readcolrange_ = nullptr
| protected

## ◆ readlinenames_

const BufferStringSet* EM::dgbSurfaceReader::readlinenames_ = nullptr
| protected

## ◆ readonlyz_

bool EM::dgbSurfaceReader::readonlyz_ = true
| protected

## ◆ readrowrange_

StepInterval<int>* EM::dgbSurfaceReader::readrowrange_ = nullptr
| protected

## ◆ rowindex_

int EM::dgbSurfaceReader::rowindex_ = 0
| protected

## ◆ rowoffsets_

TypeSet<od_int64> EM::dgbSurfaceReader::rowoffsets_
| protected

## ◆ rowrange_

StepInterval<int> EM::dgbSurfaceReader::rowrange_
| protected

## ◆ sectionids_

TypeSet<int> EM::dgbSurfaceReader::sectionids_
| protected

## ◆ sectionindex_

int EM::dgbSurfaceReader::sectionindex_ = 0
| protected

## ◆ sectionoffsets_

TypeSet<od_int64> EM::dgbSurfaceReader::sectionoffsets_
| protected

## ◆ sectionsread_

int EM::dgbSurfaceReader::sectionsread_ = 0
| protected

## ◆ setsurfacepar_

bool EM::dgbSurfaceReader::setsurfacepar_ = false
| protected

## ◆ surface_

RefMan<EM::Surface> EM::dgbSurfaceReader::surface_
| protected

## ◆ version_

int EM::dgbSurfaceReader::version_ = 1
| protected

## ◆ zinfo_

const ZDomain::Info* EM::dgbSurfaceReader::zinfo_
| protected

## ◆ zrange_

Interval<float> EM::dgbSurfaceReader::zrange_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025